Skip to main content
GET
/
v1
/
webhooks
List webhook subscriptions
curl --request GET \
  --url https://api.xentfi.com/v1/webhooks \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "developerId": "<string>",
      "url": "<string>",
      "eventTypes": [],
      "secret": "<string>",
      "isActive": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "hasMore": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Query Parameters

limit
integer
default:10
offset
integer
default:0
isActive
boolean
order
enum<string>
Available options:
ASC,
DESC

Response

List of webhook subscriptions

data
object[]
total
integer
hasMore
boolean